EDIT - feature request #10310

Add IUCN status as feature
04/27/2023 12:11 PM - Andreas Miiller

Status: Closed Start date:

Priority: Priority13 Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.38

Severity: normal

Description

It may allow Distribution and CategoricalData

Related issues:

Related to EDIT - task #10308: Show IUCN "distribution" data separately Closed
Related to EDIT - feature request #10323: Preference for IUCN status list states In Progress
Related to EDIT - feature request #10343: Full implementation for showing IUC... New

Associated revisions

Revision 3630c44a - 05/09/2023 10:48 AM - Andreas Miiller
ref #10310 Add IUCN Status as feature

History

#1 - 04/27/2023 12:11 PM - Andreas Miiller
- Related to task #10308: Show IUCN "distribution" data separately added

#3 - 05/09/2023 10:50 AM - Andreas Miiller
- Status changed from New to Resolved
- Target version changed from CDM UML 5.43 to Release 5.44
- % Done changed from 0 to 70
Mostly implemented.
We only need to check for existing databases that the status is correctly merged.
#4 - 05/09/2023 10:52 AM - Andreas Miiller
Andreas Miller wrote:
It may allow Distribution and CategoricalData

As it may support TextData, Distribution or CategoricalData | decided to support by default only TextData and the unser may need to switch to any of
the other categories if needed.

#5 - 05/09/2023 01:40 PM - Andreas Miuller
- % Done changed from 70 to 90
The uuid for the new feature is '0b17d701-4159-488e-a6e7-0045992e61af'.

| updated 'lUCN category' (flora of greece) and 'Red Data Book category' (flora of cyprus) to use this uuid. Also moved the features to the CDM
vocabulary in all production databases.

This should be fully fixed.

#6 - 05/10/2023 01:14 PM - Andreas Miiller
- Priority changed from New to Priority13
#7 - 05/22/2023 11:28 AM - Andreas Miiller
- Related to feature request #10323: Preference for IUCN status list states added

#8 - 05/27/2023 09:02 PM - Andreas Miiller

- Target version changed from Release 5.44 to Release 5.38

#9 - 05/30/2023 08:50 PM - Andreas Miiller

Before closing check if it works for cyprus and greece

#10 - 06/02/2023 04:14 PM - Andreas Miiller
- Related to feature request #10343: Full implementation for showing IUCN "distribution" data separately added

#11 - 06/10/2023 10:27 AM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 90 to 100

Andreas Muller wrote in #note-9:

Before closing check if it works for cyprus and greece

works for both
